;;; -*- coding: iso-2022-7bit  -*-
;;; uiso8859-5.el --- tables between UCS and ISO-8859-5

;; Keywords: CCL, mule, multilingual, 
;;           character set, coding-system, ISO10646, Unicode, ISO8859

;; This file is part of Mule-UCS

;; Mule-UCS is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.

;; Mule-UCS is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program; see the file COPYING.  If not, write to the
;; Free Software Foundation, Inc., 59 Temple Place - Suite 330,
;; Boston, MA 02111-1307, USA.

;;; This file is converted from 8859-5.TXT of Unicode consortium
;;; by Miyashita Hisashi <himi@bird.scphys.kyoto-u.ac.jp>.

(put 'cyrillic-iso8859-5 'unicode-assoc
     'iso-8859-5-vs-unicode-assoc)

(defvar
  iso-8859-5-vs-unicode-assoc
  '(assoc
    (char-1 . ucs-generic)
    ((?,L (B . ?\x00A0) ;; NO-BREAK SPACE
     (?,L!(B . ?\x0401) ;; CYRILLIC CAPITAL LETTER IO
     (?,L"(B . ?\x0402) ;; CYRILLIC CAPITAL LETTER DJE
     (?,L#(B . ?\x0403) ;; CYRILLIC CAPITAL LETTER GJE
     (?,L$(B . ?\x0404) ;; CYRILLIC CAPITAL LETTER UKRAINIAN IE
     (?,L%(B . ?\x0405) ;; CYRILLIC CAPITAL LETTER DZE
     (?,L&(B . ?\x0406) ;; CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I
     (?,L'(B . ?\x0407) ;; CYRILLIC CAPITAL LETTER YI
     (?,L((B . ?\x0408) ;; CYRILLIC CAPITAL LETTER JE
     (?,L)(B . ?\x0409) ;; CYRILLIC CAPITAL LETTER LJE
     (?,L*(B . ?\x040A) ;; CYRILLIC CAPITAL LETTER NJE
     (?,L+(B . ?\x040B) ;; CYRILLIC CAPITAL LETTER TSHE
     (?,L,(B . ?\x040C) ;; CYRILLIC CAPITAL LETTER KJE
     (?,L-(B . ?\x00AD) ;; SOFT HYPHEN
     (?,L.(B . ?\x040E) ;; CYRILLIC CAPITAL LETTER SHORT U
     (?,L/(B . ?\x040F) ;; CYRILLIC CAPITAL LETTER DZHE
     (?,L0(B . ?\x0410) ;; CYRILLIC CAPITAL LETTER A
     (?,L1(B . ?\x0411) ;; CYRILLIC CAPITAL LETTER BE
     (?,L2(B . ?\x0412) ;; CYRILLIC CAPITAL LETTER VE
     (?,L3(B . ?\x0413) ;; CYRILLIC CAPITAL LETTER GHE
     (?,L4(B . ?\x0414) ;; CYRILLIC CAPITAL LETTER DE
     (?,L5(B . ?\x0415) ;; CYRILLIC CAPITAL LETTER IE
     (?,L6(B . ?\x0416) ;; CYRILLIC CAPITAL LETTER ZHE
     (?,L7(B . ?\x0417) ;; CYRILLIC CAPITAL LETTER ZE
     (?,L8(B . ?\x0418) ;; CYRILLIC CAPITAL LETTER I
     (?,L9(B . ?\x0419) ;; CYRILLIC CAPITAL LETTER SHORT I
     (?,L:(B . ?\x041A) ;; CYRILLIC CAPITAL LETTER KA
     (?,L;(B . ?\x041B) ;; CYRILLIC CAPITAL LETTER EL
     (?,L<(B . ?\x041C) ;; CYRILLIC CAPITAL LETTER EM
     (?,L=(B . ?\x041D) ;; CYRILLIC CAPITAL LETTER EN
     (?,L>(B . ?\x041E) ;; CYRILLIC CAPITAL LETTER O
     (?,L?(B . ?\x041F) ;; CYRILLIC CAPITAL LETTER PE
     (?,L@(B . ?\x0420) ;; CYRILLIC CAPITAL LETTER ER
     (?,LA(B . ?\x0421) ;; CYRILLIC CAPITAL LETTER ES
     (?,LB(B . ?\x0422) ;; CYRILLIC CAPITAL LETTER TE
     (?,LC(B . ?\x0423) ;; CYRILLIC CAPITAL LETTER U
     (?,LD(B . ?\x0424) ;; CYRILLIC CAPITAL LETTER EF
     (?,LE(B . ?\x0425) ;; CYRILLIC CAPITAL LETTER HA
     (?,LF(B . ?\x0426) ;; CYRILLIC CAPITAL LETTER TSE
     (?,LG(B . ?\x0427) ;; CYRILLIC CAPITAL LETTER CHE
     (?,LH(B . ?\x0428) ;; CYRILLIC CAPITAL LETTER SHA
     (?,LI(B . ?\x0429) ;; CYRILLIC CAPITAL LETTER SHCHA
     (?,LJ(B . ?\x042A) ;; CYRILLIC CAPITAL LETTER HARD SIGN
     (?,LK(B . ?\x042B) ;; CYRILLIC CAPITAL LETTER YERU
     (?,LL(B . ?\x042C) ;; CYRILLIC CAPITAL LETTER SOFT SIGN
     (?,LM(B . ?\x042D) ;; CYRILLIC CAPITAL LETTER E
     (?,LN(B . ?\x042E) ;; CYRILLIC CAPITAL LETTER YU
     (?,LO(B . ?\x042F) ;; CYRILLIC CAPITAL LETTER YA
     (?,LP(B . ?\x0430) ;; CYRILLIC SMALL LETTER A
     (?,LQ(B . ?\x0431) ;; CYRILLIC SMALL LETTER BE
     (?,LR(B . ?\x0432) ;; CYRILLIC SMALL LETTER VE
     (?,LS(B . ?\x0433) ;; CYRILLIC SMALL LETTER GHE
     (?,LT(B . ?\x0434) ;; CYRILLIC SMALL LETTER DE
     (?,LU(B . ?\x0435) ;; CYRILLIC SMALL LETTER IE
     (?,LV(B . ?\x0436) ;; CYRILLIC SMALL LETTER ZHE
     (?,LW(B . ?\x0437) ;; CYRILLIC SMALL LETTER ZE
     (?,LX(B . ?\x0438) ;; CYRILLIC SMALL LETTER I
     (?,LY(B . ?\x0439) ;; CYRILLIC SMALL LETTER SHORT I
     (?,LZ(B . ?\x043A) ;; CYRILLIC SMALL LETTER KA
     (?,L[(B . ?\x043B) ;; CYRILLIC SMALL LETTER EL
     (?,L\(B . ?\x043C) ;; CYRILLIC SMALL LETTER EM
     (?,L](B . ?\x043D) ;; CYRILLIC SMALL LETTER EN
     (?,L^(B . ?\x043E) ;; CYRILLIC SMALL LETTER O
     (?,L_(B . ?\x043F) ;; CYRILLIC SMALL LETTER PE
     (?,L`(B . ?\x0440) ;; CYRILLIC SMALL LETTER ER
     (?,La(B . ?\x0441) ;; CYRILLIC SMALL LETTER ES
     (?,Lb(B . ?\x0442) ;; CYRILLIC SMALL LETTER TE
     (?,Lc(B . ?\x0443) ;; CYRILLIC SMALL LETTER U
     (?,Ld(B . ?\x0444) ;; CYRILLIC SMALL LETTER EF
     (?,Le(B . ?\x0445) ;; CYRILLIC SMALL LETTER HA
     (?,Lf(B . ?\x0446) ;; CYRILLIC SMALL LETTER TSE
     (?,Lg(B . ?\x0447) ;; CYRILLIC SMALL LETTER CHE
     (?,Lh(B . ?\x0448) ;; CYRILLIC SMALL LETTER SHA
     (?,Li(B . ?\x0449) ;; CYRILLIC SMALL LETTER SHCHA
     (?,Lj(B . ?\x044A) ;; CYRILLIC SMALL LETTER HARD SIGN
     (?,Lk(B . ?\x044B) ;; CYRILLIC SMALL LETTER YERU
     (?,Ll(B . ?\x044C) ;; CYRILLIC SMALL LETTER SOFT SIGN
     (?,Lm(B . ?\x044D) ;; CYRILLIC SMALL LETTER E
     (?,Ln(B . ?\x044E) ;; CYRILLIC SMALL LETTER YU
     (?,Lo(B . ?\x044F) ;; CYRILLIC SMALL LETTER YA
     (?,Lp(B . ?\x2116) ;; NUMERO SIGN
     (?,Lq(B . ?\x0451) ;; CYRILLIC SMALL LETTER IO
     (?,Lr(B . ?\x0452) ;; CYRILLIC SMALL LETTER DJE
     (?,Ls(B . ?\x0453) ;; CYRILLIC SMALL LETTER GJE
     (?,Lt(B . ?\x0454) ;; CYRILLIC SMALL LETTER UKRAINIAN IE
     (?,Lu(B . ?\x0455) ;; CYRILLIC SMALL LETTER DZE
     (?,Lv(B . ?\x0456) ;; CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I
     (?,Lw(B . ?\x0457) ;; CYRILLIC SMALL LETTER YI
     (?,Lx(B . ?\x0458) ;; CYRILLIC SMALL LETTER JE
     (?,Ly(B . ?\x0459) ;; CYRILLIC SMALL LETTER LJE
     (?,Lz(B . ?\x045A) ;; CYRILLIC SMALL LETTER NJE
     (?,L{(B . ?\x045B) ;; CYRILLIC SMALL LETTER TSHE
     (?,L|(B . ?\x045C) ;; CYRILLIC SMALL LETTER KJE
     (?,L}(B . ?\x00A7) ;; SECTION SIGN
     (?,L~(B . ?\x045E) ;; CYRILLIC SMALL LETTER SHORT U
     (?,L(B . ?\x045F) ;; CYRILLIC SMALL LETTER DZHE
     )))

(provide 'uiso8859-5)
